/******************************************************************************
* Copyright (c) 2022 Xilinx, Inc.  All rights reserved.
* Copyright (c) 2022 - 2023 Advanced Micro Devices, Inc.  All rights reserve.
* SPDX-License-Identifier: MIT
******************************************************************************/

#include "xpm_common.h"
#include "xpm_hnicxdomain.h"
#include "xpm_debug.h"

static XStatus HnicxInitStart(XPm_PowerDomain *PwrDomain, const u32 *Args,
		u32 NumOfArgs)
{
	XStatus Status = XST_FAILURE;

	(void)PwrDomain;
	(void)Args;
	(void)NumOfArgs;

	Status = XST_SUCCESS;

	return Status;
}

static XStatus HnicxInitFinish(const XPm_PowerDomain *PwrDomain, const u32 *Args,
		u32 NumOfArgs)
{
	XStatus Status = XST_FAILURE;

	(void)PwrDomain;
	(void)Args;
	(void)NumOfArgs;

	Status = XST_SUCCESS;

	return Status;
}

static const struct XPm_PowerDomainOps HnicxDomainOps = {
	.InitStart = HnicxInitStart,
	.InitFinish = HnicxInitFinish,
};

XStatus XPmHnicxDomain_Init(XPm_HnicxDomain *Hnicxd, u32 Id, u32 BaseAddress,
                         XPm_Power *Parent)
{
        XStatus Status = XST_FAILURE;
        u16 DbgErr = XPM_INT_ERR_UNDEFINED;

        Status = XPmPowerDomain_Init(&Hnicxd->Domain, Id, BaseAddress, Parent, &HnicxDomainOps);
        if (XST_SUCCESS != Status) {
                DbgErr = XPM_INT_ERR_POWER_DOMAIN_INIT;
        }

        XPm_PrintDbgErr(Status, DbgErr);
        return Status;
}
